## netwmpager-2.05.tar.bz2

=== Makefile ===
VERSION	= 2.05

all: build

include config.mk
include scripts/lib.mk

CFLAGS	+= -g -I. $(XFT_CFLAGS) -DVERSION='"$(VERSION)"' -DDATADIR='"$(datadir)"'

objs	:= file.o main.o opt.o pager.o sconf.o x.o xmalloc.o

netwmpager: $(objs)
	$(call cmd,ld,$(XFT_LIBS) -lm -lX11)

clean		+= *.o netwmpager
distclean	+= config.mk

build: netwmpager

install: build
	$(INSTALL) -m755 $(prefix)/$(bindir) netwmpager
	$(INSTALL) -m644 $(prefix)/$(datadir)/netwmpager config-example

tags:
	exuberant-ctags *.[ch]

REV     = $(shell git-rev-parse HEAD)
RELEASE	= netwmpager-$(REV)
TARBALL	= $(RELEASE).tar.bz2

release:
	git-tar-tree $(REV) $(RELEASE) | bzip2 -9 > $(TARBALL)

.PHONY: all build install release

main.o: Makefile config.mk
pager.o x.o: config.mk

=== debian/changelog ===
netwmpager (2.04-1) unstable; urgency=low

  * New release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Sun, 12 Feb 2012 10:13:27 +0100

netwmpager (2.03-1) unstable; urgency=low

  * New release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Fri, 13 Jan 2012 19:02:17 +0100

netwmpager (2.02-1) unstable; urgency=low

  * New release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Sat, 11 Dec 2011 10:31:43 +0100

netwmpager (2.01-1) unstable; urgency=low

  * New release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Wed, 02 Nov 2011 14:41:23 +0100

netwmpager (2.00-1) unstable; urgency=low

  * New release.

 -- Jean-Pierre Demailly <demailly@fourier.ujf-grenoble.fr>  Mon, 31 Oct 2011 11:36:39 +0100

netwmpager (1.11-1) unstable; urgency=low

  * Initial release.

 -- Andrey Tataranovich <tataranovich@gmail.com>  Fri, 04 Dec 2009 09:14:39 +0000

=== debian/control ===
Source: netwmpager
Section: x11
Priority: extra
Maintainer: Andrey Tataranovich <tataranovich@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.2
Homepage: http://onion.dynserv.net/~timo/netwmpager.html

Package: netwmpager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EWMH (NetWM) compatible pager
 EWMH (NetWM) compatible pager. Works with Openbox and other EWMH
 compliant window managers.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

config.status: configure
	dh_testdir
	./configure --prefix=/usr


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_shlibdeps -- --ignore-missing-info

	# Add here commands to install the package into debian/netwmpager.
	$(MAKE) prefix=$(CURDIR)/debian/netwmpager install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_shlibdeps -- --ignore-missing-info
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
